KConfigSkeleton::ItemPath Class Reference

`#include <kconfigskeleton.h>`

Inheritance diagram for KConfigSkeleton::ItemPath:

## Public Member Functions

| ItemPath (const QString &group, const QString &key, QString &reference, const QString &defaultValue=QString::null)
Public Member Functions inherited from KConfigSkeleton::ItemString
| ItemString (const QString &group, const QString &key, QString &reference, const QString &defaultValue=QString::fromLatin1(""), Type type=Normal)
void | writeConfig (KConfig *config)
void | readConfig (KConfig *config)
void | setProperty (const QVariant &p)
QVariant | property () const

## Additional Inherited Members

Public Types inherited from KConfigSkeleton::ItemString
enum | Type { Normal, Password, Path }

## Detailed Description

Class for handling a path preferences item.

Definition at line 405 of file kconfigskeleton.h.

The documentation for this class was generated from the following files:

- kconfigskeleton.h
- kconfigskeleton.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys